Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81848 - If up2date (version 2.8.39-1.7.0) is started by a non-root user with the --nox option, it still opens an X window to prompt for the root password
Summary: If up2date (version 2.8.39-1.7.0) is started by a non-root user with the --no...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 17:57 UTC by Brian Kasper
Modified: 2007-04-18 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-15 04:00:31 UTC


Attachments (Terms of Use)

Description Brian Kasper 2003-01-14 17:57:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3a) Gecko/20021212

Description of problem:
The --nox option to up2date is useful when one is logging in remotely from a
system which isn't running an X server.  If one starts up2date as root with the
--nox option, it functions as expected (i.e. all output goes to the console). 
If, however, one isn't a root user, up2date prompts for the root password, and
*tries to open an X window to do so*!

up2date then crashes with this error:

connect 127.0.0.1 port 6000: Connection refused
Gdk-ERROR **: X connection to localhost:10.0 broken (explicit kill or server
shutdown).

I don't think this behavior is what should be expected -- up2date should prompt
for the root password in the console window.

Version-Release number of selected component (if applicable):

up2date-2.8.39-1.7.0

How reproducible:
Always

Steps to Reproduce:
1. Connect to RHL7.0 system via ssh as a non-root user from a system without an
X server running (tunnelling X over ssh so the RHL7.0 system will try to display
any windows on the local machine)
2. Run "up2date --nox -u" to update the entire system
3. Watch up2date crash
    
Actual Results:  up2date crashed with the error message

connect 127.0.0.1 port 6000: Connection refused
Gdk-ERROR **: X connection to localhost:10.0 broken (explicit kill or server
shutdown).

Expected Results:  up2date should have prompted me for the root password in the
console window (or, less preferably, exited cleanly after telling me I have to
be root to perform the desired action)

Additional info:

Comment 1 Adrian Likins 2003-01-15 04:00:31 UTC
the version of userhelper in that release doesnt understand
the idea of "--nox" so it ignores it. "userhelper" is the
app that actually pops up the root password window, not
up2date itself.

Work around is to su to root and run up2date,
therefore not invoking userhelper.

Versions of userhelper in newer releases understand
"--nox" better and dont show this behaviour.


Note You need to log in before you can comment on or make changes to this bug.